Praca z konferencjami

Z tego przewodnika dowiesz się, jak uzyskać szczegółowe informacje o pojedynczej konferencji lub wszystkich konferencjach w zasobie conferenceRecords interfejsu Google Meet REST API.

Konferencja to wygenerowana przez serwer instancja połączenia w pokoju spotkań. Jest to też pojedyncza instancja spotkania.

Jeśli jesteś właścicielem lub uczestnikiem pokoju spotkań, możesz wywołać metody get i list, aby pobrać rekordy konferencji.

Uwierzytelnianie i autoryzacja za pomocą danych logowania użytkownika umożliwia aplikacjom Google Meet dostęp do danych użytkownika i wykonywanie operacji w imieniu uwierzytelnionego użytkownika. Uwierzytelnianie za pomocą przekazywania dostępu w całej domenie umożliwia autoryzowanie konta usługi aplikacji do uzyskiwania dostępu do danych użytkowników bez potrzeby pytania każdego użytkownika o zgodę.

Uzyskiwanie szczegółowych informacji o konferencji

Aby uzyskać szczegółowe informacje o konkretnej konferencji, użyj get metody w zasobie conferenceRecords. Ustaw parametr ścieżki name konferencji w formacie conferenceRecords/{conferenceRecord}.

Jeśli nie znasz nazwy konferencji, możesz wyświetlić listę wszystkich nazw konferencji za pomocą metody list.

Metoda zwraca poprzednią konferencję jako instancję zasobu conferenceRecords.

Poniższy przykładowy kod pokazuje, jak pobrać konkretną konferencję:

Java

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/getconferencerecord/AsyncGetConferenceRecord.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecord;
import com.google.apps.meet.v2.ConferenceRecordName;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.GetConferenceRecordRequest;

public class AsyncGetConferenceRecord {

  public static void main(String[] args) throws Exception {
    asyncGetConferenceRecord();
  }

  public static void asyncGetConferenceRecord() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      GetConferenceRecordRequest request =
          GetConferenceRecordRequest.newBuilder()
              .setName(ConferenceRecordName.of("[CONFERENCE_RECORD]").toString())
              .build();
      ApiFuture<ConferenceRecord> future =
          conferenceRecordsServiceClient.getConferenceRecordCallable().futureCall(request);
      // Do something.
      ConferenceRecord response = future.get();
    }
  }
}

Node.js

packages/google-apps-meet/samples/generated/v2/conference_records_service.get_conference_record.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Required. Resource name of the conference.
 */
// const name = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callGetConferenceRecord() {
  // Construct request
  const request = {
    name,
  };

  // Run request
  const response = await meetClient.getConferenceRecord(request);
  console.log(response);
}

callGetConferenceRecord();

Python

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_get_conference_record_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_get_conference_record():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.GetConferenceRecordRequest(
        name="name_value",
    )

    # Make the request
    response = await client.get_conference_record(request=request)

    # Handle the response
    print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords/CONFERENCE_RECORD_NAME" \
-H "Authorization: Bearer ACCESS_TOKEN"

Zastąp ACCESS_TOKEN tokenem dostępu, który przyznaje dostęp do interfejsu API.

Zastąp nazwę rekordu konferencji nazwą konkretnego identyfikatora rozmowy wideo w rekordzie konferencji.

Wyświetlanie listy wszystkich konferencji

Aby wyświetlić szczegóły wszystkich konferencji, użyj metody list w zasobie conferenceRecords bez parametrów ścieżki.

Metoda zwraca listę poprzednich konferencji jako instancję zasobu conferenceRecords. Są one filtrowane według organizatora konferencji i uporządkowane według startTime w kolejności malejącej. Aby dostosować rozmiar strony i filtrować wyniki zapytania, przeczytaj artykuł Dostosowywanie paginacji lub filtrowanie listy.

Poniższy przykładowy kod pokazuje, jak wyświetlić listę wszystkich konferencji:

Java

java-meet/samples/snippets/generated/com/google/apps/meet/v2/conferencerecordsservice/listconferencerecords/AsyncListConferenceRecords.java
import com.google.api.core.ApiFuture;
import com.google.apps.meet.v2.ConferenceRecord;
import com.google.apps.meet.v2.ConferenceRecordsServiceClient;
import com.google.apps.meet.v2.ListConferenceRecordsRequest;

public class AsyncListConferenceRecords {

  public static void main(String[] args) throws Exception {
    asyncListConferenceRecords();
  }

  public static void asyncListConferenceRecords() throws Exception {
    // This snippet has been automatically generated and should be regarded as a code template only.
    // It will require modifications to work:
    // - It may require correct/in-range values for request initialization.
    // - It may require specifying regional endpoints when creating the service client as shown in
    // https://cloud.google.com/java/docs/setup#configure_endpoints_for_the_client_library
    try (ConferenceRecordsServiceClient conferenceRecordsServiceClient =
        ConferenceRecordsServiceClient.create()) {
      ListConferenceRecordsRequest request =
          ListConferenceRecordsRequest.newBuilder()
              .setPageSize(883849137)
              .setPageToken("pageToken873572522")
              .setFilter("filter-1274492040")
              .build();
      ApiFuture<ConferenceRecord> future =
          conferenceRecordsServiceClient.listConferenceRecordsPagedCallable().futureCall(request);
      // Do something.
      for (ConferenceRecord element : future.get().iterateAll()) {
        // doThingsWith(element);
      }
    }
  }
}

Node.js

packages/google-apps-meet/samples/generated/v2/conference_records_service.list_conference_records.js
/**
 * This snippet has been automatically generated and should be regarded as a code template only.
 * It will require modifications to work.
 * It may require correct/in-range values for request initialization.
 * TODO(developer): Uncomment these variables before running the sample.
 */
/**
 *  Optional. Maximum number of conference records to return. The service might
 *  return fewer than this value. If unspecified, at most 25 conference records
 *  are returned. The maximum value is 100; values above 100 are coerced to
 *  100. Maximum might change in the future.
 */
// const pageSize = 1234
/**
 *  Optional. Page token returned from previous List Call.
 */
// const pageToken = 'abc123'
/**
 *  Optional. User specified filtering condition in EBNF
 *  format (https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form).
 *  The following are the filterable fields:
 *  * `space.meeting_code`
 *  * `space.name`
 *  * `start_time`
 *  * `end_time`
 *  For example, consider the following filters:
 *  * `space.name = "spaces/NAME"`
 *  * `space.meeting_code = "abc-mnop-xyz"`
 *  * `start_time>="2024-01-01T00:00:00.000Z" AND
 *  start_time<="2024-01-02T00:00:00.000Z"`
 *  * `end_time IS NULL`
 */
// const filter = 'abc123'

// Imports the Meet library
const {ConferenceRecordsServiceClient} = require('@google-apps/meet').v2;

// Instantiates a client
const meetClient = new ConferenceRecordsServiceClient();

async function callListConferenceRecords() {
  // Construct request
  const request = {
  };

  // Run request
  const iterable = meetClient.listConferenceRecordsAsync(request);
  for await (const response of iterable) {
      console.log(response);
  }
}

callListConferenceRecords();

Python

packages/google-apps-meet/samples/generated_samples/meet_v2_generated_conference_records_service_list_conference_records_async.py
# This snippet has been automatically generated and should be regarded as a
# code template only.
# It will require modifications to work:
# - It may require correct/in-range values for request initialization.
# - It may require specifying regional endpoints when creating the service
#   client as shown in:
#   https://googleapis.dev/python/google-api-core/latest/client_options.html
from google.apps import meet_v2


async def sample_list_conference_records():
    # Create a client
    client = meet_v2.ConferenceRecordsServiceAsyncClient()

    # Initialize request argument(s)
    request = meet_v2.ListConferenceRecordsRequest()

    # Make the request
    page_result = client.list_conference_records(request=request)

    # Handle the response
    async for response in page_result:
        print(response)

cURL

curl -X GET "https://meet.googleapis.com/v2/conferenceRecords" \
-H "Authorization: Bearer ACCESS_TOKEN"

Zastąp ACCESS_TOKEN tokenem dostępu, który przyznaje dostęp do interfejsu API.

Dostosowywanie paginacji lub filtrowanie listy

Aby dostosować paginację lub filtrować rekordy konferencji, przekaż te opcjonalne parametry zapytania:

  • pageSize: maksymalna liczba rekordów konferencji do zwrócenia. Usługa może zwrócić mniej rekordów. Jeśli nie określisz tej wartości, zostanie zwróconych maksymalnie 25 rekordów konferencji. Maksymalna wartość to 100. Wartości większe niż 100 są automatycznie zmieniane na 100.

  • pageToken: token strony otrzymany z poprzedniego wywołania listy. Podaj ten token, aby pobrać następną stronę.

  • filter: filtr zapytania, który umożliwia pobieranie konkretnych elementów w wynikach zasobu conferenceRecords. Obsługiwane szczegóły zapytania znajdziesz w opisie metody list. Więcej informacji o tym, jak określić pokój spotkań, znajdziesz w artykule Jak Meet identyfikuje pokój spotkań.